﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Infragistics.Controls.Layouts;

namespace SilverlightApplicationIssue1
{
    public partial class MainPage : UserControl
    {
        private DocumentContentHost host = null;
        private TabGroupPane tabGroupPane = null;

        public MainPage()
        {
            InitializeComponent();
            SetupDocumentHost();
        }

        private void SetupDocumentHost()
        {
            host = new DocumentContentHost();
            this.xamDockManager1.Content = host;
            tabGroupPane = new TabGroupPane();
            host.Panes.Add(tabGroupPane);

        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            ContentPane item = new ContentPane();
            item.Content = new cntrlNewControl();
            item.Header = "NewControl";
            item.PinButtonVisibility = Visibility.Visible;
            tabGroupPane.Panes.Add(item);
        }
    }
}
